#### Linux From Scratch - Version 9.0-systemd

### Chapter 6. Installing Basic System Software

- Prev

  Ncurses-6.1

- Next

  Acl-2.2.53

- Up
- Home

# 6.25. Attr-2.4.48

The attr package contains utilities to administer the extended attributes on filesystem objects.

Approximate build time: less than 0.1 SBU
Required disk space: 4.2 MB

## 6.25.1. Installation of Attr

Prepare Attr for compilation:

    ./configure --prefix=/usr     \
                --disable-static  \
                --sysconfdir=/etc \
                --docdir=/usr/share/doc/attr-2.4.48

Compile the package:

    make

The tests need to be run on a filesystem that supports extended attributes such as the ext2, ext3, or ext4 filesystems. To test the results, issue:

    make check

Install the package:

    make install

The shared library needs to be moved to `/lib`, and as a result the `.so` file in `/usr/lib` will need to be recreated:

    mv -v /usr/lib/libattr.so.* /lib
    ln -sfv ../../lib/$(readlink /usr/lib/libattr.so) /usr/lib/libattr.so

## 6.25.2. Contents of Attr

Installed programs: attr, getfattr, and setfattr
Installed library: libattr.so
Installed directories: /usr/include/attr and /usr/share/doc/attr-2.4.48

### Short Descriptions

attr | Extends attributes on filesystem objects
getfattr | Gets the extended attributes of filesystem objects
setfattr | Sets the extended attributes of filesystem objects
`libattr` | Contains the library functions for manipulating extended attributes

- Prev

  Ncurses-6.1

- Next

  Acl-2.2.53

- Up
- Home